# Module `expcore.gui.toolbar`

Gui structure for the toolbar (top left) [[

## Functions

Toolbar.new_button ([name]) | Adds a new button to the toolbar
Toolbar.add_button (button) | Adds an existing buttton to the toolbar
Toolbar.update (player) | Updates the player's toolbar with an new buttons or expected change in auth return

## Functions

Toolbar.new_button ([name])
  Adds a new button to the toolbar

  ### Parameters:

  - name string when given allows an alias to the button for the permission system (optional)

  ### Returns:

  table the button define
Toolbar.add_button (button)
  Adds an existing buttton to the toolbar

  ### Parameters:

  - button table the button define for the button to be added
Toolbar.update (player)
  Updates the player's toolbar with an new buttons or expected change in auth return

  ### Parameters:

  - player LuaPlayer the player to update the toolbar for

generated by LDoc 1.4.3 Last updated 2019-05-29 22:30:49